[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'FileCtrl' (#lcl)

# TCustomFileListBox.DoChangeFile

Performs actions needed when the selected file has changed in the control.

## Declaration

Source position: filectrl.pp line 62

`protected procedure TCustomFileListBox.DoChangeFile; virtual;`

## Description

DoChangeFile is a method used to change the file selection in the control. It signals the OnChange event handler (when assigned).

## See also

TCustomFileListBox.FileName |  | FileName - the name of the selected file.
TCustomFileListBox.OnChange |  | Event handler signalled when the selected file in the list box control is changed.